# H225_ExtendedAliasAddress Class Reference

`#include <h225.h>`

Inheritance diagram for H225_ExtendedAliasAddress:

List of all members.

## Public Types

enum | OptionalFields { e_presentationIndicator, e_screeningIndicator }

## Public Member Functions

| H225_ExtendedAliasAddress (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_AliasAddress | m_address
H225_PresentationIndicator | m_presentationIndicator
H225_ScreeningIndicator | m_screeningIndicator

## Member Enumeration Documentation

enum H225_ExtendedAliasAddress::OptionalFields

Enumerator:

  e_presentationIndicator |
  e_screeningIndicator |

## Constructor & Destructor Documentation

H225_ExtendedAliasAddress::H225_ExtendedAliasAddress | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_ExtendedAliasAddress::GetDataLength | ( |  | ) | const

PBoolean H225_ExtendedAliasAddress::Decode | ( | PASN_Stream & | strm | ) |

void H225_ExtendedAliasAddress::Encode | ( | PASN_Stream & | strm | ) | const

void H225_ExtendedAliasAddress::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_ExtendedAliasAddress::Compare | ( | const PObject & | obj | ) | const

PObject* H225_ExtendedAliasAddress::Clone | ( |  | ) | const

## Member Data Documentation

H225_AliasAddress H225_ExtendedAliasAddress::m_address

H225_PresentationIndicator H225_ExtendedAliasAddress::m_presentationIndicator

H225_ScreeningIndicator H225_ExtendedAliasAddress::m_screeningIndicator

The documentation for this class was generated from the following file:

- h225.h